summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorJames Meyer <james.meyer@operamail.com>2010-03-21 18:19:41 (GMT)
committerJames Meyer <james.meyer@operamail.com>2010-03-21 18:19:41 (GMT)
commit6fc275667dba6cabf4fbec5eaf75fdcc2349aef3 (patch)
treeb37a5d778d3dc6d6072d796733bbc67a5bef9288
parentae1bd59670b5cc296524d1d66fabdcbebca58d5b (diff)
downloadlinhes_pkgbuild-6fc275667dba6cabf4fbec5eaf75fdcc2349aef3.zip
linhes_pkgbuild-6fc275667dba6cabf4fbec5eaf75fdcc2349aef3.tar.gz
linhes_pkgbuild-6fc275667dba6cabf4fbec5eaf75fdcc2349aef3.tar.bz2
geopip and python-geopip: initial import
ref 508
-rw-r--r--abs/extra-testing/geoip/PKGBUILD25
-rw-r--r--abs/extra-testing/python-geoip/PKGBUILD20
2 files changed, 45 insertions, 0 deletions
diff --git a/abs/extra-testing/geoip/PKGBUILD b/abs/extra-testing/geoip/PKGBUILD
new file mode 100644
index 0000000..9ae74ba
--- /dev/null
+++ b/abs/extra-testing/geoip/PKGBUILD
@@ -0,0 +1,25 @@
+# $Id: PKGBUILD 40078 2009-05-27 06:04:17Z juergen $
+# Maintainer: Dan McGee <dan@archlinux.org>
+# Contributor: Manolis Tzanidakis <manolis@archlinux.org>
+
+pkgname=geoip
+pkgver=1.4.6
+pkgrel=1
+pkgdesc="Non-DNS IP-to-country resolver C library & utils"
+arch=(i686 x86_64)
+license=('GPL')
+url="http://www.maxmind.com/app/c"
+depends=('zlib')
+backup=(etc/geoip/GeoIP.conf)
+options=('!libtool')
+source=(http://www.maxmind.com/download/geoip/api/c/GeoIP-${pkgver}.tar.gz)
+md5sums=('cb14b1beeb40631a12676b11ca0c309a')
+
+build() {
+ cd ${startdir}/src/GeoIP-${pkgver}
+ ./configure --prefix=/usr --mandir=/usr/share/man --sysconfdir=/etc/geoip
+ make || return 1
+ make check || return 1
+ make DESTDIR=${startdir}/pkg install
+}
+
diff --git a/abs/extra-testing/python-geoip/PKGBUILD b/abs/extra-testing/python-geoip/PKGBUILD
new file mode 100644
index 0000000..9def348
--- /dev/null
+++ b/abs/extra-testing/python-geoip/PKGBUILD
@@ -0,0 +1,20 @@
+# $Id: PKGBUILD 29760 2009-03-12 10:07:44Z douglas $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+
+pkgname=python-geoip
+pkgver=1.2.4
+pkgrel=1
+pkgdesc="Python bindings for the GeoIP IP-to-country resolver library."
+arch=(i686 x86_64)
+url="http://www.maxmind.com/app/python"
+license=('LGPL')
+depends=('python>=2.5' 'geoip')
+source=(http://www.maxmind.com/download/geoip/api/python/GeoIP-Python-${pkgver}.tar.gz)
+replaces=('geoip-python')
+provides=('geoip-python')
+
+build() {
+ cd ${startdir}/src/GeoIP-Python-${pkgver}
+ python setup.py build install --root=${startdir}/pkg
+}
+md5sums=('50f820d854476efaf3b7af733ffe4236')